
extern color Status_Color = White;        // colour of the status text

int deinit()
   {
   CommentLab("");
   }

int start()
   {
   CommentLab("");
   
   myRefreshRates();

   CommentLab(StringConcatenate("iHigh(Symbol(), PERIOD_M1, 1): ", iHigh(Symbol(), PERIOD_M1, 1)) );
   CommentLab(StringConcatenate("iLow(Symbol(), PERIOD_M1, 1): ", iLow(Symbol(), PERIOD_M1, 1)) );
   
   CommentLab("  ");
   CommentLab(StringConcatenate("Current time: ", TimeToStr(TimeCurrent(), TIME_DATE|TIME_SECONDS)) );
   CommentLab(StringConcatenate("iTime(Symbol(), PERIOD_M1, 1): ", TimeToStr(iTime(Symbol(), PERIOD_M1, 1), TIME_DATE|TIME_SECONDS)) );  // <--  add this line 
   CommentLab("Sleep for 5 secs . . . ");
   Sleep(5000);
   }



bool myRefreshRates()
   {
   bool Error4066 = true;
   double DummyiHigh;
   
   RefreshRates();
   iHigh(Symbol(), PERIOD_M1, 1);
   
   int index = 0;
   
   while(Error4066)
      {
      DummyiHigh = iHigh(Symbol(), PERIOD_M1, index);

      if(GetLastError() != 4066) Error4066 = false;
      else CommentLab("RefreshRates error 4066");
         
      index += 2;
      }
   return (true);
   }

//+----------------------------------------------------------------------------+
void CommentLab(string CommentText)
   {
   string CommentLabel;
   int CommentIndex = 0;
   
   if (CommentText == "")
      {
      //  delete all Comment texts
      while(ObjectFind(StringConcatenate("CommentLabel", CommentIndex )) >= 0)
         {
         ObjectDelete(StringConcatenate("CommentLabel", CommentIndex ));
         CommentIndex++;
         }
      return;
      }
   
   while(ObjectFind(StringConcatenate("CommentLabel", CommentIndex )) >= 0)
      {
      CommentIndex++;
      }
      
   CommentLabel = StringConcatenate("CommentLabel", CommentIndex);  
   ObjectCreate(CommentLabel, OBJ_LABEL, 0, 0, 0 );
   ObjectSet(CommentLabel, OBJPROP_CORNER, 0);
   ObjectSet(CommentLabel, OBJPROP_XDISTANCE, 5);
   ObjectSet(CommentLabel, OBJPROP_YDISTANCE, 15 + (CommentIndex * 15) );
   ObjectSetText(CommentLabel, CommentText, 10, "Tahoma", Status_Color );   
   
   }

//+----------------------------------------------------------------------------+